summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-12-02 17:37:39 +0100
committerDavid Seifert <soap@gentoo.org>2017-12-02 17:38:27 +0100
commit57665bbe77045bb0f0b3683b7a4d9f6619eee28a (patch)
tree86d9da93b5a33fd519b95df8e2c6b557f24abf4d /media-sound
parentmedia-sound/cmix: Port to EAPI 6 (diff)
downloadgentoo-57665bbe77045bb0f0b3683b7a4d9f6619eee28a.tar.gz
gentoo-57665bbe77045bb0f0b3683b7a4d9f6619eee28a.tar.bz2
gentoo-57665bbe77045bb0f0b3683b7a4d9f6619eee28a.zip
media-sound/alsaplayer: Port to EAPI 6
Package-Manager: Portage-2.3.16, Repoman-2.3.6
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/alsaplayer/Manifest2
-rw-r--r--media-sound/alsaplayer/alsaplayer-0.99.81.ebuild28
2 files changed, 17 insertions, 13 deletions
diff --git a/media-sound/alsaplayer/Manifest b/media-sound/alsaplayer/Manifest
index 75f41172834..b57e60ab662 100644
--- a/media-sound/alsaplayer/Manifest
+++ b/media-sound/alsaplayer/Manifest
@@ -1 +1 @@
-DIST alsaplayer-0.99.81.tar.bz2 806906 SHA256 187897e5ad5a94ea819e42092cc35d53463e5fa43a3a5a78cb76ffd0d5ddee11 SHA512 6723b36837d01f14645bb1d43ec7c54c85e8afed9b020f56dc81b4de64b74e4da2504507fe83954c7b26817e90510c585d09e759fc11e731d4d27e86f3932650 WHIRLPOOL 2f4849f5643768db14a7542c65504e937023585aaa7025a1d66e7f87568dfb25a981b304684a0fa242c0a4d9200c4111368669b8c6cd897cfdcfd1a43cee66f5
+DIST alsaplayer-0.99.81.tar.bz2 806906 BLAKE2B 6b37aaa65f6426a43483c3fa7e077ca89ce553655587e0f44ac61ade5d4f5467a304e18ef0142336b0cc94311498ccaa16d9ed2d6eb8109474626c6d1a4ca97d SHA512 6723b36837d01f14645bb1d43ec7c54c85e8afed9b020f56dc81b4de64b74e4da2504507fe83954c7b26817e90510c585d09e759fc11e731d4d27e86f3932650
diff --git a/media-sound/alsaplayer/alsaplayer-0.99.81.ebuild b/media-sound/alsaplayer/alsaplayer-0.99.81.ebuild
index e5ada6c7bf4..bc24c59aa7a 100644
--- a/media-sound/alsaplayer/alsaplayer-0.99.81.ebuild
+++ b/media-sound/alsaplayer/alsaplayer-0.99.81.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
-inherit autotools eutils
+EAPI=6
+
+inherit autotools desktop
DESCRIPTION="A heavily multi-threaded pluggable audio player"
HOMEPAGE="http://www.alsaplayer.org/"
@@ -13,8 +14,9 @@ SLOT="0"
KEYWORDS="amd64 ~mips ~ppc ~sparc x86"
IUSE="+alsa audiofile doc flac gtk id3tag jack mad mikmod nas nls ogg opengl oss vorbis xosd"
-RDEPEND="media-libs/libsndfile
- sys-libs/zlib
+RDEPEND="
+ media-libs/libsndfile:=
+ sys-libs/zlib:=
alsa? ( media-libs/alsa-lib )
audiofile? ( media-libs/audiofile )
flac? ( media-libs/flac )
@@ -36,6 +38,8 @@ DEPEND="${RDEPEND}
REQUIRED_USE="|| ( alsa jack nas oss )"
src_prepare() {
+ default
+
sed -i \
-e 's:AM_CFLAGS = $(AM_CXXFLAGS)::' \
output/jack/Makefile.am || die
@@ -48,11 +52,11 @@ src_prepare() {
}
src_configure() {
- use doc || export ac_cv_prog_HAVE_DOXYGEN=false
- use xosd || export ac_cv_lib_xosd_xosd_create=no
+ export ac_cv_prog_HAVE_DOXYGEN=$(usex doc true false)
+ export ac_cv_lib_xosd_xosd_create=$(usex xosd)
econf \
- --docdir=/usr/share/doc/${PF} \
+ --disable-esd \
$(use_enable nls) \
$(use_enable opengl) \
$(use_enable mikmod) \
@@ -64,16 +68,16 @@ src_configure() {
$(use_enable gtk systray) \
$(use_enable jack) \
$(use_enable alsa) \
- --disable-esd \
$(use_enable oss) \
$(use_enable gtk gtk2) \
$(use_enable nas)
}
src_install() {
- emake DESTDIR="${D}" install
- dodoc AUTHORS ChangeLog README TODO docs/*.txt
+ default
+ dodoc docs/*.txt
+
newicon interface/gtk2/pixmaps/logo.xpm ${PN}.xpm
- find "${ED}" -name '*.la' -exec rm -f {} +
+ find "${D}" -name '*.la' -delete || die
}